Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.plastic
Class PlasticSeparatorUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.SeparatorUI
              javax.swing.plaf.basic.BasicSeparatorUI
                  javax.swing.plaf.metal.MetalSeparatorUI
                      com.jgoodies.looks.plastic.PlasticSeparatorUI

    public final class PlasticSeparatorUI

extends MetalSeparatorUI

The JGoodies Plastic L&F implementation of `SeparatorUI`. It differs from its superclass in that it uses a shared UI delegate.

Thanks to Andrej Golovnin for his feedback and suggestions.

Version:
  $Revision: 1.8 $
Author:
  Karsten Lentzsch

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicSeparatorUI
`highlight, shadow`

Constructor Summary
`PlasticSeparatorUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent c)`

Methods inherited from class javax.swing.plaf.metal.MetalSeparatorUI
`getPreferredSize, installDefaults, paint`

Methods inherited from class javax.swing.plaf.basic.BasicSeparatorUI
`getMaximumSize, getMinimumSize, installListeners, installUI, uninstallDefaults, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlasticSeparatorUI

    public PlasticSeparatorUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JGoodies Karsten Lentzsch. All Rights Reserved.